Subject: bug#26104: 26.0.50; In Ubuntu, having mouse over other frame cause Alt key to produce a <switch-frame> event

From: martin rudalics <[email-masked]>
Date: Sat, 15 Apr 2017 21:39:13 +0200

> Heh, it looks like they copied the MS-Windows (mis)feature, whereby
 > tapping the Alt key activates the menu bar, which would indeed require
 > a focus-in event; seems like some GNU/Linux distros have joined this
 > lunacy.  In the MS-Windows build, we have w32-pass-alt-to-system to
 > control that.

If I'm not mistaken, on MS-Windows you can activate the menu bar of a
window via the Alt key iff that window has focus already.  I still fail
to understand how pressing the Alt key could transfer focus to another
window.

 > Perhaps we should generalize w32-pass-alt-to-system instead?  Assuming
 > an application can control this behavior on GNU/Linux, that is.

If Compiz can, Emacs should be able to do that too.

martin